Bug 208792

Summary: print/harfbuzz: Update to 1.2.7
Product: Ports & Packages Reporter: Olivier Duchateau <olivierd>
Component: Individual Port(s)Assignee: freebsd-gnome (Nobody) <gnome>
Status: Closed FIXED    
Severity: Affects Only Me CC: jbeich
Priority: --- Keywords: patch-ready
Version: LatestFlags: jbeich: merge-quarterly+
Hardware: Any   
OS: Any   
URL: https://github.com/behdad/harfbuzz/compare/1.2.3...1.2.7
Attachments:
Description Flags
Patch to update print/harfbuzz
none
Poudriere log on FreeBSD amd64 9.3
none
v2
none
poudriere bulk log (9.3R i386)
none
v2.1 none

Description Olivier Duchateau freebsd_committer 2016-04-14 03:43:34 UTC
Created attachment 169306 [details]
Patch to update print/harfbuzz

Update to 1.2.6
Comment 1 Olivier Duchateau freebsd_committer 2016-04-14 03:44:12 UTC
Created attachment 169307 [details]
Poudriere log on FreeBSD amd64 9.3
Comment 2 Jan Beich freebsd_committer 2016-07-09 01:55:35 UTC
Created attachment 172267 [details]
v2

Firefox 48.0 is going to require at least 1.2.6 per https://bugzilla.mozilla.org/show_bug.cgi?id=1251203

v2 patch changes:
- Update to 1.2.7
- Kill .pre.mk include
Comment 3 Jan Beich freebsd_committer 2016-07-09 02:04:16 UTC
Created attachment 172269 [details]
poudriere bulk log (9.3R i386)
Comment 4 Jan Beich freebsd_committer 2016-07-09 02:09:55 UTC
Created attachment 172270 [details]
v2.1

Define TEST_TARGET. Not sure why libstdc++ check fails but it can be ignored for now until poudriere's |bulk -t| or |testport| support running tests[1].

$ make test
[...]
PASS: check-c-linkage-decls.sh
PASS: check-defs.sh
PASS: check-header-guards.sh
PASS: check-includes.sh
FAIL: check-libstdc++.sh
PASS: check-static-inits.sh
PASS: check-symbols.sh
PASS: test-ot-tag

$ cat $(make -V WRKSRC)/src/check-libstdc++.sh.log
Checking that we are not linking to libstdc++ or libc++
        libc++.so.1 => /usr/lib/libc++.so.1 (0x8023bb000)
Ouch, linked to libstdc++ or libc++

[1] https://github.com/freebsd/poudriere/pull/355
Comment 5 Jan Beich freebsd_committer 2016-07-09 02:13:38 UTC
Comment on attachment 172269 [details]
poudriere bulk log (9.3R i386)

The following Q/A issue can be ignored as it's a bug of devel/glib20. See https://wiki.openmandriva.org/en/Overlinking_issues_in_packaging#pkgconfig_issues

====> Running Q/A tests (stage-qa)
Error: /usr/local/bin/hb-ot-shape-closure is linked to /usr/local/lib/libintl.so.8 from devel/gettext-runtime but it is not declared as a dependency
Warning: you need USES+=gettext

$ sed -n '/private/d; /intl/p' /usr/local/libdata/pkgconfig/glib-2.0.pc
Libs: -L${libdir} -lglib-2.0 -lintl
Comment 6 Jan Beich freebsd_committer 2016-07-09 03:15:03 UTC
As there's no ABI changes I plan to land the patch in 2 days and quickly merge into 2016Q3 branch. Not waiting another 2 weeks as gnome@ seems to be understaffed (is it just kwm@ nowadays ?). ;\

http://abi-laboratory.pro/tracker/timeline/harfbuzz/
Comment 7 commit-hook freebsd_committer 2016-07-11 08:22:25 UTC
A commit references this bug:

Author: jbeich
Date: Mon Jul 11 08:21:36 UTC 2016
New revision: 418357
URL: https://svnweb.freebsd.org/changeset/ports/418357

Log:
  print/harfbuzz: update to 1.2.7

  Changes:	https://github.com/behdad/harfbuzz/compare/1.2.3...1.2.7
  ABI:		http://abi-laboratory.pro/tracker/timeline/harfbuzz/
  PR:		208792
  Approved by:	maintainer timeout (3 months)
  MFH:		2016Q3 (needed by firefox-48.0)

Changes:
  head/print/harfbuzz/Makefile
  head/print/harfbuzz/distinfo
Comment 8 commit-hook freebsd_committer 2016-07-13 11:23:08 UTC
A commit references this bug:

Author: jbeich
Date: Wed Jul 13 11:22:56 UTC 2016
New revision: 418467
URL: https://svnweb.freebsd.org/changeset/ports/418467

Log:
  MFH: r418357

  print/harfbuzz: update to 1.2.7

  Changes:	https://github.com/behdad/harfbuzz/compare/1.2.3...1.2.7
  ABI:		http://abi-laboratory.pro/tracker/timeline/harfbuzz/
  PR:		208792
  Approved by:	maintainer timeout (3 months)
  Approved by:	ports-secteam (junovitch)

Changes:
_U  branches/2016Q3/
  branches/2016Q3/print/harfbuzz/Makefile
  branches/2016Q3/print/harfbuzz/distinfo